# class Puppet::ModuleTool::Errors::UnknownVersionError

### Public Class Methods

new(options) click to toggle source
Calls superclass method Puppet::ModuleTool::Errors::UpgradeError.new

    # File lib/puppet/module_tool/errors/upgrader.rb, line 57
    def initialize(options)
      @module_name       = options[:module_name]
      @installed_version = options[:installed_version]
      @requested_version = options[:requested_version]
      @repository        = options[:repository]
      super "Could not upgrade '#{@module_name}' (#{vstring}); module has no versions #{ @requested_version && "matching #{v(@requested_version)} "}published on #{@repository}"
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/upgrader.rb, line 65
    def multiline
      message = []
      message << "Could not upgrade module '#{@module_name}' (#{vstring})"
      message << "  No version matching '#{@requested_version || ">= 0.0.0"}' exists on #{@repository}"
      message.join("\n")
    end